Name:           ncmpc
Version:        0.27
Release:        1%{?dist}
Summary:        A curses client for the Music Player Daemon (MPD)

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.musicpd.org/
Source0:        http://www.musicpd.org/download/ncmpc/0/ncmpc-%{version}.tar.xz
Source1:        http://www.musicpd.org/download/ncmpc/0/ncmpc-%{version}.tar.xz.sig

BuildRequires:  autoconf autoconf-archive automake
BuildRequires:  gettext
BuildRequires:  glib2-devel >= 2.4
BuildRequires:  libmpdclient-devel > 2.5
BuildRequires:  lirc-devel
BuildRequires:  ncurses-devel
BuildRequires:  ruby-devel

%description
ncmpc is a curses client for the Music Player Daemon (MPD). ncmpc connects to
a MPD running on a machine on the local network, and controls this with an
interface inspired by cplay.


%prep
%setup -q


%build
%configure \
    --enable-colors \
    --enable-lirc \
    --enable-lyrics-screen \
    --with-lyrics-plugin-dir=%{_datadir}/ncmpc/lyrics
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ncmpc
install -p -m644 doc/config.sample \
    $RPM_BUILD_ROOT%{_sysconfdir}/ncmpc/config
install -p -m644 doc/keys.sample $RPM_BUILD_ROOT%{_sysconfdir}/ncmpc/keys

%find_lang ncmpc


%files -f ncmpc.lang
%doc README NEWS AUTHORS COPYING doc/ncmpc.lirc
%{_bindir}/ncmpc
%{_mandir}/man1/*
%dir %{_sysconfdir}/ncmpc
%config(noreplace) %{_sysconfdir}/ncmpc/config
%config(noreplace) %{_sysconfdir}/ncmpc/keys
%dir %{_datadir}/ncmpc
%dir %{_datadir}/ncmpc/lyrics
%{_datadir}/ncmpc/lyrics/*

%exclude %{_datadir}/doc/*


%changelog
* Tue Mar 28 2017 Andreas Bierfert <andreas.bierfert@lowlatency.de>
- 0.27-1
- version upgrade

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.24-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.24-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Nov 07 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.24-1
- update to upstream release 0.24

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 23 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.21-1
- update to upstream release 0.21
- add --enable-lyrics-screen and BR: ruby-devel
- remove redundant `configure` options

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 22 2012 Jamie Nguyen <jamie@tomoyolinux.co.uk> - 0.20-1
- update to upstream release 0.20
- remove obsolete BuildRoot tag, %%clean section and %%defattr

* Tue Mar 01 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.18-1
- version upgrade (#680985)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 24 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.14-1
- version upgrade

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 09 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.13-1
- version upgrade (#479240)

* Sat Nov 22 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.12-0.1.beta1
- version upgrade

* Mon Feb 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0.11.1-9
- Rebuilt for gcc43

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11.1-2
- new license tag
- rebuild for buildid

* Fri Sep 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.11.1-7
- FE6 rebuild

* Tue Aug 01 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.11.1-6
- fix #200423

* Thu Feb 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.11.1-5
- Rebuild for Fedora Extras 5

* Fri Jun 24 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.11.1-4
- correct summary

* Thu Jun 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.11.1-3
- add dist tag

* Thu Jun 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.11.1-2
- some changes suggested by Aurélien Bompard

* Wed Jun 01 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.11.1-1
- Initial Release
